<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.10.1.4.3.4.1.2.2
Name: Abgabe Section
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000">
   <title>Abgabe Section</title>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]
Item: (AbgabeSection)
-->

   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']
Item: (AbgabeSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']"
         id="tmp-r-47d14bf9-9eb6-49b6-a6b6-1c0b78c31ccb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(AbgabeSection): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2']/@nullFlavor)">(AbgabeSection): Element hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2'])&lt;=1">(AbgabeSection): Element hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.3'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.3']/@nullFlavor)">(AbgabeSection): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.3'])&lt;=1">(AbgabeSection): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.8'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.10.20.1.8']/@nullFlavor)">(AbgabeSection): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.8'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.8'])&lt;=1">(AbgabeSection): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.8'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="count(hl7:id)&lt;=1">(AbgabeSection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="count(hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(AbgabeSection): Element hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="count(hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(AbgabeSection): Element hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(AbgabeSection): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="count(hl7:title)&lt;=1">(AbgabeSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(AbgabeSection): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="count(hl7:text)&lt;=1">(AbgabeSection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="count(hl7:entry[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.2.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.34' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.4']])&gt;=1 ">(AbgabeSection): Element hl7:entry[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.2.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.34' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.4']] ist required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2']
Item: (AbgabeSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2']"
         id="tmp-r-76a7f0c1-bcb8-4288-a70d-217554e31690">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbgabeSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="string(@root)='1.2.40.0.10.1.4.3.4.1.2.2'">(AbgabeSection): @root MUSS den Wert '1.2.40.0.10.1.4.3.4.1.2.2' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.3']
Item: (AbgabeSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.3']"
         id="tmp-r-7b085684-8288-4367-89a2-9ae1c28d0dc7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbgabeSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.9.1.2.3'">(AbgabeSection): @root MUSS den Wert '1.3.6.1.4.1.19376.1.9.1.2.3' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:templateId[@root='2.16.840.1.113883.10.20.1.8']
Item: (AbgabeSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:templateId[@root='2.16.840.1.113883.10.20.1.8']"
         id="tmp-r-a8ef7346-c432-4cd4-b977-073d03cb0f00">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbgabeSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="string(@root)='2.16.840.1.113883.10.20.1.8'">(AbgabeSection): @root MUSS den Wert '2.16.840.1.113883.10.20.1.8' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:id
Item: (AbgabeSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:id"
         id="tmp-r-4749facb-fb37-4f6a-a500-c08fd2c42ceb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbgabeSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (AbgabeSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-011290d9-58f3-4af7-a935-be1f0e53d130">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbgabeSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="@nullFlavor or (@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Medication Dispensed.Brief' and @codeSystemName='LOINC')">(AbgabeSection): Der Elementinhalt MUSS einer von 'code '60590-7' codeSystem '2.16.840.1.113883.6.1' displayName='Medication Dispensed.Brief' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:title
Item: (AbgabeSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:title"
         id="tmp-r-b5ac903f-7325-4aa7-9a07-14ba3c541a85">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbgabeSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="text()='Abgabe'">(AbgabeSection): Der Elementinhalt von 'hl7:title' MUSS ''Abgabe'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:text
Item: (AbgabeSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:text"
         id="tmp-r-8a0d66ee-2468-4123-8f8c-7d68787c8225">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbgabeSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.10.1.4.3.4.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.2.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.34' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.4']]
Item: (AbgabeSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2']]/hl7:section[hl7:templateId/@root='1.2.40.0.10.1.4.3.4.1.2.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.2.3' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.2.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.34' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.4']]">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150207T094158/tmp-1.2.40.0.10.1.4.3.4.1.2.2-2013-12-16T000000.html"
              test="string(@typeCode)='DRIV' or not(@typeCode)">(AbgabeSection): Der Wert von @typeCode MUSS 'DRIV' sein.</assert>
   </rule>
</pattern>
